fop 1.1

## org.apache.fop.pdf
Class PDFPathPaint

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFPathPaint

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFColor, PDFPattern

    public abstract class PDFPathPaint

extends PDFObject

Base class for PDF painting operations.

Field Summary
`protected PDFDeviceColorSpace` `colorSpace` The color space for this paint

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFPathPaint()`

Method Summary
`int` `getColorSpace()` Get the current color space value for this paint.
`java.lang.String` `getColorSpaceOut(boolean fillNotStroke)` Get the PDF string for setting the path paint.
`void` `setColorSpace(int theColorSpace)` Set the color space for this paint.

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorSpace

    protected PDFDeviceColorSpace colorSpace

  The color space for this paint

Constructor Detail

### PDFPathPaint

    public PDFPathPaint()

Method Detail

### getColorSpaceOut

    public java.lang.String getColorSpaceOut(boolean fillNotStroke)

  Get the PDF string for setting the path paint.

  Parameters:
    `fillNotStroke` - if true fill otherwise stroke
  Returns:
    the PDF instruction string

### setColorSpace

    public void setColorSpace(int theColorSpace)

  Set the color space for this paint.

  Parameters:
    `theColorSpace` - the color space value

### getColorSpace

    public int getColorSpace()

  Get the current color space value for this paint.

  Returns:
    the color space value

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.